Get devices

This API returns an array of device objects.This API returns an array of device objects in one of two formats depending on whether you include the paginated query parameter. If the paginated parameter is not passed, the API returns data using Format A, and heeds the other query parameters, most notably order_by, order, and user_uuid:Format A

{  "previous_page": null,  "next_page": 2,  "current_page_number": 1,  "start_count_on_page": 1,  "end_count_on_page": 5,  "total": 9,  "devices": [    {      "device": {}    },    {      "device": {}    }  ]}
If the paginated parameter is not passed, the API returns data using Format B, data that includes only devices owned by or shared with the caller, and ignores the other query parameters including order_by:Format B
[  {    "device": {}  },  {    "device": {}  }]
In general, paginated=1 is recommended because you can control quantity (per_page) and order (order_by).NOTE:The presence of the connection_priority key in the response body is based on the below conditions on query parameters.* If (paginated = true) or (paginated = false & only_dsns = false & dsns_list = false & show_optimal = false), then the connection_priority key will be present in the response body.* If (paginated = false) & (only_dsns = true or dsns_list = true or show_optimal = true), then the connection_priority key will not be present in the response body.

Query Params
boolean

true or 1 means results will be paginated.

string

Page Number.

string

Maximum number of records per page.

string

Field name. Based on this value, the result will be sorted.

string

Ascending (asc) or descending (desc).

string

Unique user identifier.

string

Connected on or after this date.

string

Connected on or before this date.

string

Activated on or after this date.

string

Activated on or before this date.

string

Device status: online, offline, or initializing.

boolean

to get virtual devices list, select "true".

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json